<?php

namespace App\Modules\External\Domain;

interface ExternalRepository
{

    public function index(IdExternal $id);
    public function find(string $query, string $action, string $path);
    public function insert(External $value);
    public function update(External $value);
    public function delete(IdExternal $id);
}
